Bug 91765 - Kernel resets or ignores BIOS numlock setting
Kernel resets or ignores BIOS numlock setting
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-27 17:24 EDT by Need Real Name
Modified: 2007-04-18 12:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-05 11:31:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-05-27 17:24:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b) Gecko/20030516
Mozilla Firebird/0.6

Description of problem:
My BIOS is set so that numlock should be on.

When Red Hat has finished booting, it is not on.
Windows had no problem.

How reproducible:
Always

Additional info:
Originally filed as bug 87946.
Comment 1 Bill Nottingham 2003-05-27 17:28:52 EDT
At which point does the light go out?
Comment 2 Need Real Name 2003-05-28 13:27:56 EDT
It's difficult to say - but one of the messages I read as the lines of text
flashed passed mentioned that the ramdisk driver had been initiliased.

So, after grub and before init runs.
Comment 3 Miloslav Trmac 2003-05-29 09:15:40 EDT
The kernel resets Num Lock. The comments in code mention
that on some laptops, Num Lock switched on causes
keys uiojklm,. (or other near keys) to act as
a numeric keypad instead of letters.

I have no idea whether this is true though.
Comment 4 Alan Cox 2003-06-05 11:31:07 EDT
Its one of those "religious" issues. Red Hat could decide to do different things
to the mainstream but for such a minor item it is not clear it is helpful. In
addition it gets more complicated once people start hotplugging USB keyboards..

Note You need to log in before you can comment on or make changes to this bug.